Bug 204099 - Kadischi built x86_64 kernel cannot read initrd superblock
Kadischi built x86_64 kernel cannot read initrd superblock
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 11:31 EDT by Jasper O. Hartline
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 21:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2006-08-25 11:31:21 EDT
Description of problem:
After building a LiveCD using Kadischi the resulting image boots the kernel but
the kernel cannot read the initrd superblock resulting in a kernel panick of
unable to mount rootfs at unknown block 9,1

The blocksizes used were 1024 and 4096, niether work.

Version-Release number of selected component (if applicable):
vmlinuz-2.6.17-1.2174_FC5

How reproducible:
Compile, install kadischi on x86_64 Fedora. Run kadischi against a x86_64
repository and boot the result LiveCD.


Steps to Reproduce:
1. Outlined above
2.
3.
  
Actual results:
CD kernel panicks.


Expected results:
CD should boot fully reading the initrd superblock

Additional info:
There is no additional information at this time.
Comment 1 Jasper O. Hartline 2006-08-26 14:56:06 EDT
Bug 187858 also has some information with it, about what I've summed up here.
It is a bug against Kadischi but no forseeable problems are with Kadischi so it
is now moved upstream to kernel devel maintenance list here.

Thanks. 
Comment 2 David Lawrence 2006-09-05 11:55:28 EDT
Changing to proper owner, kernel-maint.
Comment 3 Jasper O. Hartline 2006-09-05 12:30:53 EDT
Just for reference and to eliminate any confusion.. we've moved to using an
initramfs for Kadischi and the kernel, and it does boot properly. This however
doesn't mean there isn't still some bug or problem in the kernel's initrd code
or similar areas. 


The initrd was a gzipped Ext2 image.
The initrd was checked for it's magic and it had a magic of 0xEF53
which is correct for 32 bit architecture Ext2 filesystems.
Comment 4 Dave Jones 2006-09-10 21:59:44 EDT
as this isn't used by default, I'm not going to look into this any further, as
we've hundreds of other bugs of higher priority.

Note You need to log in before you can comment on or make changes to this bug.